<?xml version="1.0"?>
<doc>
    <assembly>
        <name>ryUpdate</name>
    </assembly>
    <members>
        <member name="T:LiveUpdate.ClsLiveUpdate">
            <summary>
            
            </summary>
        </member>
        <member name="F:LiveUpdate.ClsLiveUpdate.UpdateUrl">
            <summary>
            升级地址
            </summary>
        </member>
        <member name="F:LiveUpdate.ClsLiveUpdate.CurUserId">
            <summary>
            
            </summary>
        </member>
        <member name="F:LiveUpdate.ClsLiveUpdate.UpdateAfterTime">
            <summary>
            隔多久后再次检查更新
            </summary>
        </member>
        <member name="F:LiveUpdate.ClsLiveUpdate.SettingPath">
            <summary>
            本地保存的配置信息
            </summary>
        </member>
        <member name="F:LiveUpdate.ClsLiveUpdate.MySoftVer">
            <summary>
            当前安装的软件版本
            </summary>
        </member>
        <member name="F:LiveUpdate.ClsLiveUpdate.MySoftRVer">
            <summary>
            当前安装的软件修正版本
            </summary>
        </member>
        <member name="F:LiveUpdate.ClsLiveUpdate.MyDataVer">
            <summary>
            当前安装的数据库版本
            </summary>
        </member>
        <member name="F:LiveUpdate.ClsLiveUpdate.SaveFileName">
            <summary>
            
            </summary>
        </member>
        <member name="F:LiveUpdate.ClsLiveUpdate.DownUrl">
            <summary>
            
            </summary>
        </member>
        <member name="F:LiveUpdate.ClsLiveUpdate.isExit">
            <summary>
            
            </summary>
        </member>
        <member name="P:LiveUpdate.ClsLiveUpdate.UpdateType">
            <summary>
            获取当前更新的类型
            </summary>
        </member>
        <member name="F:LiveUpdate.ClsLiveUpdate.UpdateLoopHours">
            <summary>
            每隔n小时检测一次更新
            </summary>
        </member>
        <member name="E:LiveUpdate.ClsLiveUpdate.OnReadComplete">
            <summary>
            读取版本信息完成后激发
            </summary>
        </member>
        <member name="E:LiveUpdate.ClsLiveUpdate.OnNoUpdate">
            <summary>
            没有版本更新时激发
            </summary>
        </member>
        <member name="E:LiveUpdate.ClsLiveUpdate.OnUpdateComplete">
            <summary>
            发现新版本时激发
            </summary>
        </member>
        <member name="E:LiveUpdate.ClsLiveUpdate.OnHappenError">
            <summary>
            发生错误后激发
            </summary>
        </member>
        <member name="E:LiveUpdate.ClsLiveUpdate.ProgressChanged">
            <summary>
            更新进度变化后激发
            </summary>
        </member>
        <member name="M:LiveUpdate.ClsLiveUpdate.StartLiveUpdate">
            <summary>
            开始检测新版本
            </summary>
        </member>
        <member name="F:LiveUpdate.ClsLiveUpdate.ParentForm">
            <summary>
            
            </summary>
        </member>
        <member name="M:LiveUpdate.ClsLiveUpdate.#ctor(System.Windows.Forms.Form)">
            <summary>
            初始化升级函数
            </summary>
            <param name="ower">为null,则表示事件运行在多线程模式下，否则,事件是在窗体所在线程下</param>
        </member>
        <member name="P:LiveUpdate.ClsLiveUpdate.AssemblyVersion">
            <summary>
            
            </summary>
        </member>
        <member name="P:LiveUpdate.ClsLiveUpdate.AssemblyReVersion">
            <summary>
            
            </summary>
        </member>
        <member name="M:LiveUpdate.ClsLiveUpdate.GetVerInfo">
            <summary>
            获取版本信息
            </summary>
        </member>
        <member name="M:LiveUpdate.ClsLiveUpdate.StartDownload">
            <summary>
            开始下载
            </summary>
        </member>
        <member name="M:LiveUpdate.ClsLiveUpdate.StartDownload(System.String,System.String)">
            <summary>
            开始下载
            </summary>
        </member>
        <member name="M:LiveUpdate.ClsLiveUpdate.DownloadInUI(System.String,System.String)">
            <summary>
            下载,不使用多线程
            </summary>
        </member>
        <member name="M:LiveUpdate.ClsLiveUpdate.StopDownload">
            <summary>
            结束下载
            </summary>
        </member>
        <member name="T:LiveUpdate.RyUpdate">
            <summary>
            
            </summary>
        </member>
        <member name="F:LiveUpdate.RyUpdate.myLiveUpdate">
            <summary>
            
            </summary>
        </member>
        <member name="F:LiveUpdate.RyUpdate.dict_downlist">
            <summary>
            
            </summary>
        </member>
        <member name="M:LiveUpdate.RyUpdate.#ctor(System.String)">
            <summary>
            
            </summary>
            <param name="url"></param>
        </member>
        <member name="M:LiveUpdate.RyUpdate.#ctor(System.Windows.Forms.Form,System.String)">
            <summary>
            
            </summary>
            <param name="_ParentForm"></param>
            <param name="url"></param>
        </member>
        <member name="M:LiveUpdate.RyUpdate.Finalize">
            <summary>
            
            </summary>
        </member>
        <member name="P:LiveUpdate.RyUpdate.CurUserId">
            <summary>
            当前登陆用户
            </summary>
        </member>
        <member name="P:LiveUpdate.RyUpdate.ParentForm">
            <summary>
            
            </summary>
        </member>
        <member name="E:LiveUpdate.RyUpdate.OnNoUpdate">
            <summary>
            没有版本更新时激发
            </summary>
        </member>
        <member name="M:LiveUpdate.RyUpdate.CheckUpdate">
            <summary>
            
            </summary>
            <returns></returns>
        </member>
        <member name="E:LiveUpdate.RyUpdate.OnUpdateCancel">
            <summary>
            取消更新。
            </summary>
        </member>
        <member name="E:LiveUpdate.RyUpdate.OnAppExit">
            <summary>
            
            </summary>
        </member>
        <member name="T:LiveUpdate.frmStartUpdate">
            <summary>
            
            </summary>
        </member>
        <member name="M:LiveUpdate.frmStartUpdate.#ctor">
            <summary>
            
            </summary>
        </member>
        <member name="P:LiveUpdate.frmStartUpdate.T_myLiveUpdate">
            <summary>
            设置升级
            </summary>
        </member>
        <member name="P:LiveUpdate.frmStartUpdate.T_isUpdate">
            <summary>
            是否是在线更新
            </summary>
        </member>
        <member name="M:LiveUpdate.frmStartUpdate.RunFile(System.String,System.String)">
            <summary>
            
            </summary>
            <param name="FilePath"></param>
            <param name="PramCom"></param>
            <returns></returns>
        </member>
        <member name="E:LiveUpdate.frmStartUpdate.OnAppExit">
            <summary>
            
            </summary>
        </member>
        <member name="F:LiveUpdate.frmStartUpdate.components">
            <summary>
            Required designer variable.
            </summary>
        </member>
        <member name="M:LiveUpdate.frmStartUpdate.Dispose(System.Boolean)">
            <summary>
            Clean up any resources being used.
            </summary>
            <param name="disposing">true if managed resources should be disposed; otherwise, false.</param>
        </member>
        <member name="M:LiveUpdate.frmStartUpdate.InitializeComponent">
            <summary>
            Required method for Designer support - do not modify
            the contents of this method with the code editor.
            </summary>
        </member>
        <member name="T:LiveUpdate.FrmUpdate">
            <summary>
            
            </summary>
        </member>
        <member name="M:LiveUpdate.FrmUpdate.#ctor(LiveUpdate.ClsLiveUpdate)">
            <summary>
            
            </summary>
            <param name="_myLiveUpdate"></param>
        </member>
        <member name="P:LiveUpdate.FrmUpdate.T_Capion">
            <summary>
            提示文本
            </summary>
        </member>
        <member name="P:LiveUpdate.FrmUpdate.T_UpdateDate">
            <summary>
            更新日期
            </summary>
        </member>
        <member name="P:LiveUpdate.FrmUpdate.T_UpdateVer">
            <summary>
            更新版本
            </summary>
        </member>
        <member name="P:LiveUpdate.FrmUpdate.T_UpdateDes">
            <summary>
            更新描述
            </summary>
        </member>
        <member name="M:LiveUpdate.FrmUpdate.ConvertDateStr(System.String,System.String)">
            <summary>
            
            </summary>
            <param name="Str"></param>
            <param name="defValue"></param>
            <returns></returns>
        </member>
        <member name="M:LiveUpdate.FrmUpdate.SetUpdateInfo(LiveUpdate.UpdateInfo)">
            <summary>
            
            </summary>
            <param name="e"></param>
        </member>
        <member name="P:LiveUpdate.FrmUpdate.T_UpdateAfterTime">
            <summary>
            
            </summary>
        </member>
        <member name="F:LiveUpdate.FrmUpdate.canClose">
            <summary>
            
            </summary>
        </member>
        <member name="M:LiveUpdate.FrmUpdate.SetForegroundWindow(System.Int32)">
            <summary>
            
            </summary>
            <param name="hWnd"></param>
            <returns></returns>
        </member>
        <member name="E:LiveUpdate.FrmUpdate.OnAppExit">
            <summary>
            
            </summary>
        </member>
        <member name="F:LiveUpdate.FrmUpdate.components">
            <summary>
            Required designer variable.
            </summary>
        </member>
        <member name="M:LiveUpdate.FrmUpdate.Dispose(System.Boolean)">
            <summary>
            Clean up any resources being used.
            </summary>
            <param name="disposing">true if managed resources should be disposed; otherwise, false.</param>
        </member>
        <member name="M:LiveUpdate.FrmUpdate.InitializeComponent">
            <summary>
            Required method for Designer support - do not modify
            the contents of this method with the code editor.
            </summary>
        </member>
        <member name="T:LiveUpdate.UpdateInfo">
            <summary>
            
            </summary>
        </member>
        <member name="F:LiveUpdate.UpdateInfo.UpdateType">
            <summary>
            更新类型,soft或者data
            </summary>
        </member>
        <member name="F:LiveUpdate.UpdateInfo.UpdateDes_Url">
            <summary>
            更新描述Url
            </summary>
        </member>
        <member name="F:LiveUpdate.UpdateInfo.UpdateDes">
            <summary>
            更新描述
            </summary>
        </member>
        <member name="F:LiveUpdate.UpdateInfo.UpdateVer">
            <summary>
            版本
            </summary>
        </member>
        <member name="F:LiveUpdate.UpdateInfo.UpdateDate">
            <summary>
            更新日期
            </summary>
        </member>
        <member name="F:LiveUpdate.UpdateInfo.UpdateUrl">
            <summary>
            更新地址
            </summary>
        </member>
        <member name="F:LiveUpdate.UpdateInfo.FirstDownList">
            <summary>
            在下载升级包前首先要下载的内容
            </summary>
        </member>
        <member name="F:LiveUpdate.UpdateInfo.sxSettingXML">
            <summary>
            升级程序要使用的设置xml
            </summary>
        </member>
        <member name="T:LiveUpdate.UpdateErrorInfo">
            <summary>
            
            </summary>
        </member>
        <member name="F:LiveUpdate.UpdateErrorInfo.ErrorStr">
            <summary>
            错误字符串
            </summary>
        </member>
        <member name="F:LiveUpdate.UpdateErrorInfo.ErrorId">
            <summary>
            错误id
            </summary>
        </member>
        <member name="T:LiveUpdate.LiveUpdateEventArgs">
            <summary>
            
            </summary>
        </member>
        <member name="M:LiveUpdate.LiveUpdateEventArgs.#ctor">
            <summary>
            
            </summary>
        </member>
        <member name="P:LiveUpdate.LiveUpdateEventArgs.CurrentFileSize">
            <summary>
            
            </summary>
        </member>
        <member name="P:LiveUpdate.LiveUpdateEventArgs.CurrentFileName">
            <summary>
            
            </summary>
        </member>
        <member name="P:LiveUpdate.LiveUpdateEventArgs.CurrentUrl">
            <summary>
            
            </summary>
        </member>
        <member name="P:LiveUpdate.LiveUpdateEventArgs.CurrProgress">
            <summary>
            
            </summary>
        </member>
        <member name="P:LiveUpdate.LiveUpdateEventArgs.IsCompleted">
            <summary>
            
            </summary>
        </member>
        <member name="P:LiveUpdate.LiveUpdateEventArgs.CurrentStatus">
            <summary>
            
            </summary>
        </member>
        <member name="T:LiveUpdate.LiveUpdateProgressChanged">
            <summary>
            
            </summary>
            <param name="sender"></param>
            <param name="e"></param>
        </member>
        <member name="T:LiveUpdate.OnAppExit">
            <summary>
            
            </summary>
            <param name="sender"></param>
            <param name="e"></param>
        </member>
        <member name="T:LiveUpdate.UpdateHandler">
            <summary>
            
            </summary>
            <param name="e"></param>
        </member>
        <member name="T:LiveUpdate.ErrorHandler">
            <summary>
            
            </summary>
            <param name="e"></param>
        </member>
        <member name="T:ryUpdate.Properties.Resources">
            <summary>
              一个强类型的资源类，用于查找本地化的字符串等。
            </summary>
        </member>
        <member name="P:ryUpdate.Properties.Resources.ResourceManager">
            <summary>
              返回此类使用的缓存的 ResourceManager 实例。
            </summary>
        </member>
        <member name="P:ryUpdate.Properties.Resources.Culture">
            <summary>
              重写当前线程的 CurrentUICulture 属性，对
              使用此强类型资源类的所有资源查找执行重写。
            </summary>
        </member>
    </members>
</doc>
